using Model;

namespace Services;

public interface ITeamService
{
    public Task<IEnumerable<Team>> ListTeamsOf(int userId);


    public Task<IEnumerable<Team>> ListTeams();
    public Task<int> CountTeams();

    public Task<Team> AddTeam(string name, string picture, string firstColor, string secondColor);
    public Task RemoveTeams(params int[] teams);

    public Task<bool> UpdateTeam(Team team);
}